Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls
Class Capability

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.Capability

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WindowMode, WindowState

public class Capability
extends Object
implements Serializable

Specifies a named capability for a control.

See Also:
  Serialized Form

Constructor Summary
`protected` | `Capability(com.bea.netuix.nf.state.ControlStateReader reader)` Constructs a capability from the given reader.
`` | `Capability(String name)` Constructs a capability with the given name.
`` | `Capability(String name, boolean entitlementsEnabled)` Constructs a capability with the given name.

Method Summary
`boolean` | `equals(Capability c)` Returns `true` if the given capability is equal to this capability.
`boolean` | `equals(Object o)` Returns `true` if the given object is equal to this object.
`String` | `getName()` Returns the name of this capability.
`boolean` | `isEntitlementsEnabled()` Are entitlements enabled for this capability?
`void` | `setEntitlementsEnabled(boolean entitlementsEnabled)` Are entitlements enabled for this capability?
`void` | `setName(String name)`
`String` | `toString()` Returns a string.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Capability

    public Capability(String name)

  Constructs a capability with the given name.

Parameters:
  `name` -

### Capability

    public Capability(String name,
                      boolean entitlementsEnabled)

  Constructs a capability with the given name.

Parameters:
  `name` -

### Capability

    protected Capability(com.bea.netuix.nf.state.ControlStateReader reader)

  Constructs a capability from the given reader.

Parameters:
  `reader` - reader

Method Detail

### getName

    public String getName()

  Returns the name of this capability.

  Returns:
    name

### setName

    public void setName(String name)

### isEntitlementsEnabled

    public boolean isEntitlementsEnabled()

  Are entitlements enabled for this capability?

  Returns:
    yes/no

### setEntitlementsEnabled

    public void setEntitlementsEnabled(boolean entitlementsEnabled)

  Are entitlements enabled for this capability?

  Parameters:
    `entitlementsEnabled` - yes/no

### toString

    public String toString()

  Returns a string.

  Overrides:
    `toString` in class `Object`
  Returns:
    string

### equals

    public boolean equals(Capability c)

  Returns `true` if the given capability is equal to this capability.

  Parameters:
    `c` - capability
  Returns:
    boolean

### equals

    public boolean equals(Object o)

  Returns `true` if the given object is equal to this object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - capability
  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved